From 396794ad223a2132c482b08f1449124b85cf7426 Mon Sep 17 00:00:00 2001
From: Adam Samalik <asamalik@redhat.com>
Date: Apr 23 2019 13:35:40 +0000
Subject: [PATCH 7/88] gix build script for translated content


---

diff --git a/build-translated.sh b/build-translated.sh
index ef57ba1..9317248 100755
--- a/build-translated.sh
+++ b/build-translated.sh
@@ -2,21 +2,22 @@
 
 languages="cs fr jp"
 
-
 create_language_menu() {
     {
         echo '<div class="page-languages">'
         echo "    <button class=\"languages-menu-toggle\" title=\"Show other languages of the site\">$1</button>"
         echo '    <div class="languages-menu">'
-        echo '        <a class="language" href="/en-US{{ @root.page.url }}">en-US</a>'
+        echo '        <a class="language" href="{{siteRootPath}}/../en-US{{page.url}}"">en-US</a>'
         for lang in $languages; do
-            echo "        <a class=\"language\" href=\"/$lang{{ @root.page.url }}\">$lang</a>"
+            echo "        <a class=\"language\" href=\"{{siteRootPath}}/../$lang{{page.url}}\">$lang</a>"
         done
         echo '    </div>'
         echo '</div>'
     } > ./supplemental-ui/partials/page-languages.hbs
 }
 
+create_language_menu "en-US"
+exit
 
 if [ "$(uname)" == "Darwin" ]; then
     for current_lang in $languages; do
diff --git a/supplemental-ui/partials/page-languages.hbs b/supplemental-ui/partials/page-languages.hbs
index c55c578..b65342e 100644
--- a/supplemental-ui/partials/page-languages.hbs
+++ b/supplemental-ui/partials/page-languages.hbs
@@ -1,9 +1,9 @@
 <div class="page-languages">
     <button class="languages-menu-toggle" title="Show other languages of the site">en-US</button>
     <div class="languages-menu">
-        <a class="language" href="/en-US{{ @root.page.url }}">en-US</a>
-        <a class="language" href="/cs{{ @root.page.url }}">cs</a>
-        <a class="language" href="/fr{{ @root.page.url }}">fr</a>
-        <a class="language" href="/jp{{ @root.page.url }}">jp</a>
+        <a class="language" href="{{siteRootPath}}/../en-US{{page.url}}"">en-US</a>
+        <a class="language" href="{{siteRootPath}}/../cs{{page.url}}">cs</a>
+        <a class="language" href="{{siteRootPath}}/../fr{{page.url}}">fr</a>
+        <a class="language" href="{{siteRootPath}}/../jp{{page.url}}">jp</a>
     </div>
 </div>

